Network.Wreq

# HTTP verbs

## Sessions

## GET

get

getWith

## POST

post

postWith

## HEAD

head_

headWith

## OPTIONS

options

optionsWith

## PUT

put

putWith

## DELETE

delete

deleteWith

## Custom Method

customMethod

customMethodWith

## Custom Payload Method

customPayloadMethod

customPayloadMethodWith

# Incremental consumption of responses

## GET

foldGet

foldGetWith

# Configuration

data Options

defaults

manager

header

param

redirects

headers

params

cookie

cookies

checkResponse

## Authentication

data Auth

data AWSAuthVersion

auth

basicAuth

oauth1Auth

oauth2Bearer

oauth2Token

awsAuth

## Proxy settings

data Proxy

proxy

httpProxy

## Using a manager with defaults

withManager

# Payloads for POST and PUT

data Payload

## URL-encoded form data

data FormParam

class FormValue a

## Multipart form data

data Part

partName

partFileName

partContentType

partGetBody

### Smart constructors

partBS

partLBS

partText

partString

partFile

partFileSource

# Responses

data Response body

responseBody

responseHeader

responseLink

responseCookie

responseHeaders

responseCookieJar

responseStatus

data Status

statusCode

statusMessage

## Link headers

data Link

linkURL

linkParams

## Decoding responses

data JSONError

asJSON

asValue

# Cookies

data Cookie

cookieName

cookieValue

cookieExpiryTime

cookieDomain

cookiePath

# Parsing responses

atto

atto_